Bug 1286463 - [abrt] WARNING: CPU: 1 PID: 16903 at drivers/usb/host/ehci-hcd.c:1036 ehci_endpoint_reset+0xe4/0x100()
[abrt] WARNING: CPU: 1 PID: 16903 at drivers/usb/host/ehci-hcd.c:1036 ehci_en...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9a084ba24e10cf97f53e091c8fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-29 14:08 EST by Mikhail
Modified: 2016-10-26 12:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:49:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (76.16 KB, text/plain)
2015-11-29 14:08 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-11-29 14:08:05 EST
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 1 PID: 16903 at drivers/usb/host/ehci-hcd.c:1036 ehci_endpoint_reset+0xe4/0x100()
clear_halt for a busy endpoint
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_nat ebtable_filter ebtables ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw btrfs xor raid6_pq snd_hda_codec_realtek snd_hda_codec_generic gpio_ich snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support snd_timer snd soundcore coretemp ppdev usblp i2c_i801 lpc_ich parport_pc mei_me tpm_tis mei parport tpm acpi_cpufreq
 nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 video i2c_algo_bit drm_kms_helper drm serio_raw firewire_ohci firewire_core crc_itu_t e1000e pata_marvell ptp ata_generic pps_core pata_acpi
CPU: 1 PID: 16903 Comm: scan-thread Not tainted 4.2.6-301.fc23.i686+PAE #1
Hardware name:                  /DQ35JO, BIOS JOQ3510J.86A.1143.2010.1209.0048 12/09/2010
 c0d929a7 7a2d8b90 00000000 e59f5dc0 c0ade82a e59f5e00 e59f5df0 c046d3c7
 c0d261a0 e59f5e20 00004207 c0cfe734 0000040c c08fa004 c08fa004 00000002
 f205e634 f205e400 e59f5e0c c046d43e 00000009 e59f5e00 c0d261a0 e59f5e20
Call Trace:
 [<c0ade82a>] dump_stack+0x41/0x52
 [<c046d3c7>] warn_slowpath_common+0x87/0xc0
 [<c08fa004>] ? ehci_endpoint_reset+0xe4/0x100
 [<c08fa004>] ? ehci_endpoint_reset+0xe4/0x100
 [<c046d43e>] warn_slowpath_fmt+0x3e/0x60
 [<c08fa004>] ehci_endpoint_reset+0xe4/0x100
 [<c08dc6cb>] ? usb_control_msg+0xcb/0x100
 [<c08db07f>] usb_hcd_reset_endpoint+0x1f/0x60
 [<c08dd4db>] usb_clear_halt+0x8b/0xc0
 [<c08e7753>] usbdev_ioctl+0xc43/0x15b0
 [<c04a026b>] ? set_next_entity+0xbb/0x5f0
 [<c04a4169>] ? pick_next_task_fair+0xa69/0xbd0
 [<c04a979f>] ? __wake_up+0x3f/0x50
 [<c04cbd62>] ? wake_nocb_leader+0x52/0x60
 [<c08e6b10>] ? proc_do_submiturb+0xb00/0xb00
 [<c05d2722>] do_vfs_ioctl+0x2e2/0x500
 [<c06b188d>] ? file_has_perm+0x8d/0xc0
 [<c06b5edb>] ? selinux_file_ioctl+0x4b/0xe0
 [<c06ad99c>] ? security_file_ioctl+0x3c/0x60
 [<c05d29a8>] SyS_ioctl+0x68/0x80
 [<c0ae459f>] sysenter_do_call+0x12/0x12
 [<c0ae0000>] ? cleanup_entry_list+0x10/0x3d
Comment 1 Mikhail 2015-11-29 14:08:13 EST
Created attachment 1100264 [details]
File: dmesg
Comment 2 peter 2016-07-11 20:54:00 EDT
Centos 7 CentOS Linux release 7.2.1511 (Core) 

BOOT_IMAGE=/boot/vmlinuz-3.10.0-327.22.2.el7.x86_64 root=UUID=xxxxx-xxxx-xxxx-xxxx-xxxxxxxxx ro crashkernel=auto rhgb quiet

Another user experienced a similar problem:
Unmounting android phone storage.

WARNING: at drivers/usb/host/ehci-hcd.c:1035 ehci_endpoint_reset+0x104/0x110()

Modules linked in: binfmt_misc ppdev parport_pc parport nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT fuse ipt_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw iptable_filter vfat fat snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec iTCO_wdt iTCO_vendor_support snd_hda_core mxm_wmi snd_hwdep coretemp pcspkr snd_seq snd_seq_device snd_pcm lpc_ich sg snd_timer i2c_i801 mfd_core snd soundcore wmi shpchp ip_tables ext4 mbcache jbd2 sd_mod crc_t10dif crct10dif_generic
crct10dif_common sr_mod cdrom ata_generic pata_acpi i915 i2c_algo_bit ata_piix drm_kms_helper serio_raw libata drm atl1c i2c_core video
CPU: 1 PID: 1868 Comm: pool Not tainted 3.10.0-327.22.2.el7.x86_64 #1
Hardware name: Hewlett-Packard CQ1-1203LA/1492, BIOS 6.03    07/02/2010
ffff88005e3b7d08 00000000fece4e0a ffff88005e3b7cc0 ffffffff816360fc
ffff88005e3b7cf8 ffffffff8107b200 0000000000000003 ffff8800789da000
0000000000000082 ffff8800789da344 0000000000000246 ffff88005e3b7d60
Call Trace:
[<ffffffff816360fc>] dump_stack+0x19/0x1b
[<ffffffff8107b200>] warn_slowpath_common+0x70/0xb0
[<ffffffff8107b29c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff8145fe54>] ehci_endpoint_reset+0x104/0x110
[<ffffffff81440aa5>] usb_hcd_reset_endpoint+0x25/0x70
[<ffffffff81442ef8>] usb_reset_endpoint+0x28/0x40
[<ffffffff81442f7e>] usb_clear_halt+0x6e/0x80
[<ffffffff8144efea>] usbdev_do_ioctl+0x108a/0x10f0
[<ffffffff8144f07e>] usbdev_ioctl+0xe/0x20
[<ffffffff811f2545>] do_vfs_ioctl+0x2e5/0x4c0
[<ffffffff8128c42e>] ? file_has_perm+0xae/0xc0
[<ffffffff811f27c1>] SyS_ioctl+0xa1/0xc0
[<ffffffff81646889>] system_call_fastpath+0x16/0x1b

Bug report it: https://bugs.centos.org/view.php?id=8355
Comment 3 Laura Abbott 2016-09-23 15:35:38 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:49:20 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.